/* Friends CSS for the friends section of the website. 
It defines the layout and styling of the friend avatars, including hover effects. */


.friend {
  flex: 0 0 auto;
  scroll-snap-align: center;
}

.friend img {
  width: 110px;
  height: 110px;
  object-fit: cover;
  border-radius: 50%;
  transition:
    transform 0.25s ease,
    box-shadow 0.25s ease;
  cursor: pointer;
}

.friend img:hover {
  transform: scale(1.08);
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.3);
}


.no-link-friend {
  position: relative;
  display: inline-block;
}

.no-link-friend::after {
  content: "nie ma sociali :c";
  position: absolute;
  bottom: 15%;
  left: 50%;
  transform: translateX(-50%) scale(0.8);
  background: var(--accent);
  backdrop-filter: blur(6px);
  color: white;
  padding: 8px 16px;
  border-radius: 8px;
  font-size: 0.875rem;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition:
    opacity 0.2s ease,
    transform 0.2s ease;
}

.no-link-friend.show-tooltip::after {
  opacity: 1;
  transform: translateX(-50%) scale(1);
}